> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke API key



## OpenAPI

````yaml openapi/api-gateway.json DELETE /api-keys
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /api-keys:
    delete:
      tags:
        - api-gateway
      operationId: revoke_api_key
      parameters:
        - name: api_key
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: API key revoked successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RevokeApiKeyResponse'
        '403':
          description: Forbidden
      security:
        - session_token: []
components:
  schemas:
    RevokeApiKeyResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````